/*
 *  BoundingBox.h
 *  Assignment6
 *
 *  Created by Zach Gildersleeve on 2/26/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef BOUNDINGBOX_H
#define BOUNDINGBOX_H

#include "Point.h"
#include <iostream>
#include <float.h>
using namespace std;

class BoundingBox {
	public:
		BoundingBox() {
			minPt = Point(DBL_MAX, DBL_MAX, DBL_MAX);
			maxPt = Point(-DBL_MAX, -DBL_MAX, -DBL_MAX);
		}
		~BoundingBox() {}
		
		void build(const Point& newPt) {
			minPt = minPoint(newPt, minPt);
			maxPt = maxPoint(newPt, maxPt);
		}
		
		Point getMin() const {return minPt;}
		Point getMax() const {return maxPt;}
		
	private:
		Point minPt;
		Point maxPt;
};

#endif