/*
 *  OrthographicCamera.cpp
 *  Assignment2-2
 *
 *  Created by Zach Gildersleeve on 2/3/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#include "OrthographicCamera.h"

void OrthographicCamera::preprocess(double aspectRatio){
	normal = cross(u, v);
	normal.normalize();
	
}

void OrthographicCamera::makeRay(Ray &ray, const RenderContext &context, double x, double y) const {
	ray.origin = position + (u * x) + (v * y);
	ray.direction = normal;
}
