/*
 *  SmoothTriangle.h
 *  Assignment6
 *
 *  Created by Zach Gildersleeve on 3/6/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef SMOOTHTRIANGLE_H
#define SMOOTHTRIANGLE_H

#include "Primitive.h"
#include "Point.h"
#include "Ray.h"
#include "HitRecord.h"
//#include <math.h>
extern int superCounter;
class SmoothTriangle : public Primitive {
public:
	SmoothTriangle(Material *newMaterial, const Point &newP1, const Point &newP2, const Point &newP3);
	
	~SmoothTriangle() {}
	
	virtual bool intersect(HitRecord &hit, const RenderContext &context, const Ray &ray) const;
	virtual void normal(Vector &normal, const Point &hitPoint, const HitRecord &hit, const RenderContext &context, const Ray &ray) const;
	
	virtual void getBounds(BoundingBox& bbox) const;
	
private:
	Point p1;
	Point p2;
	Point p3;
	Vector e1;
	Vector e2;
	Vector normalVector;
	
	struct normalData {
		double b1, b2;
	};
};

#endif