/*
 *  Primitive.cpp
 *  Assignment2
 *
 *  Created by Zach Gildersleeve on 1/30/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#include "Primitive.h"

Primitive::Primitive() {
	
}

Primitive::Primitive(Material *newMaterial) : material(newMaterial) {
	
}

Primitive::~Primitive() {
	
}

void Primitive::preprocess() {
	material->preprocess();
}

void Primitive::getTextCoord(Vector &textCoord, const RenderContext &context, const Ray &ray, const HitRecord &hit) const
{
	Point hitPoint = ray.origin + ray.direction * hit.getT();
	textCoord = Vector(hitPoint);
}
