/*
 *  SpherePolar.h
 *  Assignment7
 *
 *  Created by Zach Gildersleeve on 3/16/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef SPHEREPOLAR_H
#define SPHEREPOLAR_H

#include "Sphere.h"
#include "Vector.h"

class SpherePolar : public Sphere {
	public:
		SpherePolar(Material *mat, const Point &newCenter, double newRadius, const Vector &newPole, const Vector &newMeridian);
		virtual void getTextCoord(Vector &textCoord, const RenderContext &context, const Ray &ray, const HitRecord &hit) const;

	private:
		Vector x;
		Vector y;
		Vector z;
};

#endif